import { get, post } from "./http";

const prefix = 'devicesApi/site/';
const userPrefix = 'devicesApi/user/sites/';

export default {
  getAllStation: (params) => {
    return get(prefix + 'listSite', params);
  },
  searchStation: (params) => {
    return get(prefix + 'searchSite', params);
  },
  getStationRate: (params) => {
    return get(prefix + 'getSiteRate', params);
  },
  getNearestSite: (params) => {
    return get(prefix + 'getNearestSite', params);
  },
  getBookmarkList: (params) => {
    return get(userPrefix + 'bookmarks', params);
  },
  bookmarkSite: (id) => {
    return get(userPrefix + 'favorite', {sitePk: id});
  }
}